*:focus {
    outline: none;
}

body {
    background: #2b2c30;
    max-height: 100vh;
    overflow: hidden;
}
body.dark {
    background: black;
}

.hover {
    position: absolute;
    z-index: 9999;
}

.slime,
.bucket,
.note {
    position: absolute;
    top: 280px;
    left: 265px;
    background: transparent;
    width: 100px;
    height: 100px;
    z-index: 9;
    cursor: pointer;
    opacity: 1;
}
.slime.disabled,
.bucket.disabled,
.note.disabled {
    pointer-events: none;
}

.bucket {
    top: 530px;
    left: 60px;
    width: 80px;
}

.note {
    top: 225px;
    left: 285px;
    width: 40px;
    height: 50px;
}

.name {
    font-weight: bold;
    top: 19%;
    left: 80px;
    font-size: 3rem;
}

.dex, .str, .cha, .int {
    top: 21%;
    font-size: 18px;
    right: 0;
    font-weight: bold;
}

.str {
    right: 252px;
}

.dex {
    right: 188px;
}

.cha {
    right: 120px;
}

.int {
    right: 55px;
}

.wrapper {
    position: relative;
    height: 100vh;
}
.wrapper .content {
    position: absolute;
    max-width: 700px;
    width: 700px;
    height: 800px;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
.wrapper img {
    max-width: 700px;
    min-width: 700px;
    display: none;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    cursor: pointer;
}
.wrapper img.speech.active {
    opacity: 1;
    z-index: 1;
}
.wrapper img.coinflip {
    display: block;
    opacity: 0;
    transition: all 0.3s;
}
.wrapper img.coinflip.active {
    top: 35%;
    opacity: 1;
    transition: all 0.3s;
}
.wrapper img.active {
    display: block;
}

.note-popup {
    position: absolute;
    width: 300px;
    height: 400px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    font-size: 30px;
    background: #49781a;
    color: #283f0e;
    z-index: 999;
}
.note-popup .close-note {
    cursor: pointer;
    position: absolute;
    width: 30px;
    height: 30px;
    right: 0;
    top: 0;
    background: black;
}
.note-popup .close-note:before {
    content: "X";
    font-size: 15px;
    color: white;
    position: relative;
    top: -8px;
}
.note-popup .note-content {
    position: absolute;
    width: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.overlay {
    position: fixed;
    left: 0;
    top: 0;
    background: rgba(0, 0, 0, 0.5);
    z-index: 99;
    width: 100%;
    height: 100%;
}

.overlay,
.note-popup {
    display: none;
}
.overlay.active,
.note-popup.active {
    display: block;
}

@media (max-width: 992px) {
    body {
        transform: scale(0.8);
        margin: -10%;
    }

    .overlay {
        transform: scale(5);
    }
}
@media (max-width: 768px) {
    body {
        transform: scale(0.55);
    }

    .overlay {
        transform: scale(5);
    }
}